php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #55912 extension doesn't work
Submitted: 2003-11-08 02:43 UTC Modified: 2006-02-27 07:20 UTC
Votes:3
Avg. Score:3.7 ± 0.9
Reproduced:3 of 3 (100.0%)
Same Version:1 (33.3%)
Same OS:1 (33.3%)
From: pear at michael-metz dot de Assigned: gschlossnagle (profile)
Status: No Feedback Package: APC (PECL)
PHP Version: 4.3.2 OS: RedHat9
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: pear at michael-metz dot de
New email:
PHP Version: OS:

 

 [2003-11-08 02:43 UTC] pear at michael-metz dot de
Description:
------------
pear install apc works fine but after adding 
extension="apc.so"
to php.ini in error_log of apache (1.3.29) there appears the following error:
PHP Warning:  Unknown(): Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-zts-20020429/apc.so' - /usr/local/lib/php/extensions/no-debug-zts-20020429/apc.so: undefined symbol: core_globals_id in Unknown on line 0


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2004-04-09 10:09 UTC] alister-pecl20040409 at ablman dot co dot uk
Also trouble running with php5-200404041230.

After 
 pear install apc
and extension_dir = "/usr/local/lib/php/extensions/no-debug-non-zts-20040316/"
into php.ini, PHP5 will not start, producing the error message (in /var/log/syslog):

Apr  9 15:00:26 server httpd: PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20040316/apc.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20040316/apc.so: cannot open shared object file: No such file or directory in Unknown on line 0
 [2004-04-09 10:10 UTC] alister-pecl20040409a at abulman dot co dot uk
correct email address.
 [2005-08-26 10:02 UTC] info at woody4u dot de
i've got the same error
BUT ONLY in apache the CLI version accepts the Module

Server version: Apache/2.0.54
PHP 5.1.0RC1 (cli) (built: Aug 25 2005 12:04:06)

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php/extensions/no-debug-non-zts-20050617/apc.so' - /usr/lib/php/extensions/no-debug-non-zts-20050617/apc.so: undefined symbol: zend_block_interruptions in Unknown on line 0
 [2005-10-23 09:37 UTC] mike@php.net
Please try the latest package version and report back if you're still experiencing this issue.
 [2006-02-27 07:20 UTC] mike@php.net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.


 [2006-12-29 03:48 UTC] admin at leaderhost dot net
PHP 5.2.0
APC 3.0.12p2
FastCGI mode

the same error:
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/local/php/lib/php/extensions/no-debug-zts-20060613/apc.so' - /usr/local/php/lib/php/extensions/no-debug-zts-20060613/apc.so: undefined symbol: core_globals_id in Unknown on line 0

Tried with previous version APC 3.0.11, the same.
 [2007-04-06 20:40 UTC] billy at myshare dot de
Forcing reload of web server (apache2)...apache2: Syntax error on line 185 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/apc.load: Cannot load /usr/lib/php4/20050606+lfs/apc.so into server: /usr/lib/php4/20050606+lfs/apc.so: undefined symbol: zend_block_interruptions
 failed!

PHP4
APC 3.0.14
FastCGI
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Wed Jan 29 09:01:25 2020 UTC